Bug 988427 - Exception thrown when stopping EAP - org.apache.lucene.store.AlreadyClosedException: this IndexWriter is closed
Exception thrown when stopping EAP - org.apache.lucene.store.AlreadyClosedExc...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ER3
: 6.0.0
Assigned To: Alexandre Porcelli
Jiri Svitak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 11:04 EDT by Jiri Svitak
Modified: 2015-06-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (4.47 KB, text/plain)
2013-07-25 11:04 EDT, Jiri Svitak
no flags Details

  None (edit)
Description Jiri Svitak 2013-07-25 11:04:02 EDT
Created attachment 778292 [details]
server.log

I have used eap 6.1 and merged it with bpms deployable DR6 distribution. I started the server ./standalone.sh and when it started I stopped it with Ctrl+C and the following exception was thrown:
(Thread-88) Exception in thread "Thread-88" org.apache.lucene.store.AlreadyClosedException: this IndexWriter is closed

The rest of the exception is attached.

This error is thrown just when stopping the server, so it's not something serious, but it should be fixed to not confuse customers. I think it's good idea to keep the server logs free of exceptions.

Filing under BRMS as this error seem to be connected to underlying interaction with file system.
Comment 1 Alexandre Porcelli 2013-08-26 15:12:11 EDT
Fixes on community project on master and 6.0.x branches

https://github.com/droolsjbpm/kie-commons/commit/79b4561ef
https://github.com/droolsjbpm/kie-commons/commit/9a547f07a
Comment 2 Jiri Svitak 2013-09-24 08:12:22 EDT
Verified in BPMS 6 ER3.

Note You need to log in before you can comment on or make changes to this bug.